#
#  This file passes configure variables to shell scripts.
#  It is rewritten on configure.
#

CC="@CC@"
CFLAGS="@CFLAGS@"
CXX="@CXX@"
CXXFLAGS="@CXXFLAGS@"
AR="@AR@"

cxx_c11_flag='@cxx_c11_flag@'

gnu_make="@gnu_make@"

build="@build@"
build_cpu="@build_cpu@"
build_os="@build_os@"
host="@host@"
host_cpu="@host_cpu@"
host_os="@host_os@"
is_cross_compile="@is_cross_compile@"
wordsize="@wordsize@"
objcopy="@objcopy_prog@"

binutils_prefix="@binutils_prefix@"
boost_prefix="@boost_prefix@"
libdwarf_prefix="@libdwarf_prefix@"
libelf_prefix="@libelf_prefix@"
libmonitor_prefix="@libmonitor_prefix@"
libunwind_prefix="@libunwind_prefix@"
libxml2_prefix="@libxml2_prefix@"
old_monitor_prefix="@old_monitor_prefix@"
open_analysis_prefix="@open_analysis_prefix@"
oprofile_prefix="@oprofile_prefix@"
ruby_prefix="@ruby_prefix@"
symtabAPI_prefix="@symtabAPI_prefix@"
xed2_prefix="@xed2_prefix@"
xerces_prefix="@xerces_prefix@"
zlib_prefix="@zlib_prefix@"

libdwarfdir="@libdwarf_prefix@"
libdwarf_inc="@libdwarf_inc@"
libdwarf_lib="@libdwarf_lib@"

libelfdir="@libelf_prefix@"
libelf_inc="@libelf_inc@"
libelf_lib="@libelf_lib@"

libunwinddir="@libunwind_prefix@"
libunwind_inc="@libunwind_inc@"
libunwind_lib="@libunwind_lib@"

libxml2dir="@libxml2_prefix@"
libxml2_inc="@libxml2_inc@"
libxml2_lib="@libxml2_lib@"

libmonitor_use_bgq_backend='@libmonitor_use_bgq_backend@'

symtabAPI_platform="@symtabAPI_platform@"
symtab_cc_path='@CC_PATH@'
symtab_cxx_path='@CXX_PATH@'
symtab_cflags='@symtab_cflags@'
symtab_cxxflags='@symtab_cxxflags@'

zlib_inc='@zlib_inc@'
zlib_lib='@zlib_lib@'

xerces_platform="@xerces_platform@"

xed2_type='@xed2_type@'

cflags_fpic='@cflags_fpic@'

opt_with_mpi="@with_mpi@"

